Subject: Re: [secdir] SECDIR review of draft-ietf-oauth-discovery-07

From: Mike Jones <[email-masked]>
Date: Thu, 16 Nov 2017 07:12:08 +0000

Hi Donald,

Draft -08 updates the RFC 5226 reference to RFC 8126.

                                                       Thanks again,
                                                       -- Mike

From: Mike Jones [mailto:[email-masked]]
Sent: Saturday, October 28, 2017 4:34 AM
To: Donald Eastlake <[email-masked]>; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: SECDIR review of draft-ietf-oauth-discovery-07

Thanks, Donald.  I’ll do the update to 8126 in the next draft.

                                                                -- Mike

From: Donald Eastlake [mailto:[email-masked]]
Sent: Tuesday, October 24, 2017 7:32 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: SECDIR review of draft-ietf-oauth-discovery-07

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  Document editors and WG chairs should treat these comments just like any other last call comments.

The summary of the review is draft is ready with one nit.

This draft defines a metadata format that an OAuth 2.0 client can use to obtain the information needed to interact with an OAuth 2.0 authorization server, including its endpoint locations and authorization server capabilities.

While I am not deeply familiar with this area of security technology, the extensive Security Considerations section seems thorough and correct as far as I can see.

Nit: The reference to RFC 5226 should probably be updated to RFC 8126

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270<tel:(508)%20333-2270> (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]<mailto:[email-masked]>